### Method

# GdkPixbuf Pixbuf saturate_and_pixelate

#### Declaration [src]

    void
    gdk_pixbuf_saturate_and_pixelate (
      const GdkPixbuf* src,
      GdkPixbuf* dest,
      gfloat saturation,
      gboolean pixelate
    )

#### Description [src]

Modifies saturation and optionally pixelates `src`, placing the result in `dest`.

The `src` and `dest` pixbufs must have the same image format, size, and rowstride.

The `src` and `dest` arguments may be the same pixbuf with no ill effects.

If `saturation` is 1.0 then saturation is not changed. If it’s less than 1.0, saturation is reduced (the image turns toward grayscale); if greater than 1.0, saturation is increased (the image gets more vivid colors).

If `pixelate` is `TRUE`, then pixels are faded in a checkerboard pattern to create a pixelated image.

#### Parameters

`dest`

  Type: `GdkPixbuf`

  Place to write modified version of `src`.

  The data is owned by the caller of the method.

`saturation`

  Type: `gfloat`

  Saturation factor.

`pixelate`

  Type: `gboolean`

  Whether to pixelate.